﻿@model Xtoman.Domain.WebServices.Payment.Vandar.VandarBusinessIBANData
@{
    ViewBag.Title = "لیست حساب های بانکی";
}

<div class="row">
    <div class="col-lg-12">
        <div class="card card-box">
            <div class="card-header">
                <a class="btn btn-primary" href="#" onclick="AddIBAN(); return false;"><i class="fa fa-plus"></i> افزودن حساب</a>
            </div>
            <div class="card-body">
                <div class="table-responsive">
                    <table class="table table-bordered table-striped">
                        <thead>
                            <tr>
                                <th>ردیف</th>
                                <th>صاحب حساب</th>
                                <th>نام بانک</th>
                                <th>شماره حساب</th>
                                <th>شماره شبا</th>
                                <th>توضیحات</th>
                                <th>عملیات</th>
                            </tr>
                        </thead>
                        <tbody>
                            @if (Model.Ibans != null && Model.Ibans.Any())
                            {
                                foreach (var item in Model.Ibans)
                                {
                                    <tr>
                                        <td>@item.Id</td>
                                        <td>
                                            @foreach (var owner in item.AccountOwner)
                                            {
                                                <p>@owner.FirstName @owner.LastName</p>
                                            }
                                        </td>
                                        <td>
                                            @item.BankName
                                        </td>
                                        <td>
                                            @item.AccountNumber
                                        </td>
                                        <td>
                                            @item.IBAN
                                        </td>
                                        <td>
                                            @item.AccountDescription
                                        </td>
                                        <td>
                                            <a href="#" class="btn btn-danger" onclick="DeleteIBAN(@item.Id); return false;">حذف</a>
                                        </td>
                                    </tr>
                                }
                            }
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>

@section scripts{
    <script>
        var addIBANUrl = "@Url.Action("AddIBAN")";
        var deleteIBANUrl = "@Url.Action("DeleteIBAN")";
        function AddIBAN() {
            confirmWithInputDialog("شماره شبای حساب جدید را وارد نمایید", "شماره شبا", "شماره شبا باید وارد شود", function () {
                var postData = { IBAN: $('#customInput').val() };
                doAjax(postData, addIBANUrl, function () {
                    location.reload();
                });
            });
        }

        function DeleteIBAN(id) {
            confirmDialog("آیا از حذف شماره حساب ردیف " + id + " مطمئن هستید؟", function () {
                var postData = {
                    id: id
                }
                doAjax(postData, deleteIBANUrl, function () {
                    location.reload();
                });
            });
        }
    </script>
}